Subject: Re: Illustrator EPS files

From: Tom Barrons <[email-masked]>
Date: Tue, 27 Mar 2001 11:39:49 -0500

Problem resolved.  Thanks to Alan Premselaar for leading me in the right
direction.  Hope this info is useful to somebody else should you run into
the same problem.  

It appears that Adobe Illustrator has random problems saving an EPS file
directly to a server when connected via TCP/IP.  This art department's old
NT server probably didn't support AppleShareIP and when I set up netatalk
for them it allowed the Mac's to connect via this method for the first time
and the problem showed itself.  I just set up another server in afpd.conf
and set the parameter -notcp which forces the Macs who choose this server to
use AppleTalk instead.  Then I asked a few of the artists to try this server
instead and they have not reported the problem since.

> From: alan premselaar <[email-masked]>
> Date: Thu, 22 Mar 2001 15:40:33 -0800
> To: Tom Barrons <[email-masked]>
> Subject: Re: Illustrator EPS files
> 
> Was the NT machine running 4.0? if so, chances are it wasn't supporting
> ASIP unless you got some 3rd party ASIP drivers installed.
> 
> that would probably be a good test too, forcing an appletalk connection...
> 
> you might also want to test it on your current share (with -tcp enabled)
> but when you select the server from the chooser, hold down the option key
> and double-click it... that'll force an appletalk (NOT ASIP) connection and
> probably give you a decent testbed as well...
> 
> you can always check your connection type on the mac by highlighting the
> server volume and doing a getinfo on it... it'll tell you it's connected
> via appletalk or via TCP/IP with an IP address.
> 
> goodluck, i'm interested in the results.
> 
> alan
> 
>> Alan,
>> 
>> I am going to take your advice and ask some of the artists to see if version
>> 8 has the same issue, that will be good to know though I don't think I could
>> convince the entire department to downgrade to 8 or just sit patiently and
>> wait for Adobe to fix it.
>> 
>> You know what though, I didn't even think about the ASIP being a potential.
>> I don't think the NT server was utilizing that. No way to know now though,
>> since that was on the same machine and now its running RedHat.  I'm going to
>> set up another netatalk share with the -notcp parameter and see if they
>> still have the problem.
>> 
>> Thanks,
>> Tom
>> 
>>> From: alan premselaar <[email-masked]>
>>> Date: Thu, 22 Mar 2001 14:23:14 -0800
>>> To: Tom Barrons <[email-masked]>, <[email-masked]>
>>> Subject: Re: Illustrator EPS files
>>> 
>>> Tom,
>>> 
>>> I'm not sure why it wouldn't happen on an NT server (unless the NT server
>>> wasn't utilizing AppleShare IP protocol), HOWEVER, Adobe made some changes
>>> in Illustrator 9 that affects it's communication with servers (not any
>>> specifically) which cause strange things to happen.
>>> 
>>> Although i'm not a production operator, I install server solutions in the
>>> pre-press industry and i've heard nothing but disappointment with regards
>>> to illustrator 9.  Many of my customers have discontinued its use and gone
>>> back to version 8 just due to the production problems they've been
>>> experiencing.
>>> 
>>> if this problem is only happening with illustrator 9, I would say it's not
>>> likely your netatalk configuration.  Try doing the same operations with
>>> illustrator version 8 and see if the problem persists.  if not, then it's
>>> very likely Illustrator 9, at which point, i'd suggest contacting Adobe to
>>> see if they have a fix.
>>> 
>>> hope this helps.
>>> 
>>> alan
>>> 
>>> At 3:13?? -0500 3.22.01, Tom Barrons wrote:
>>>> Hi all,
>>>> 
>>>> I could use some help.  I just built a new fileserver for a mixed
>>>> Mac/Windows environment, I'm running netatalk and samba.  This is only the
>>>> second such install I've done.  My first one was a while ago and it's been
>>>> running great. I tried replicating the problem on my first install
>> using the
>>>> same files, the first one does not have the problem.
>>>> 
>>>> First machine I'm running Yellow Dog Linux Champion Server 1.1 with
>>>> netatalk-1.4b2+asun2.1.3, from an RPM provided with the distrobution.  The
>>>> new machine having the problem is RedHat 7 also with
>>>> netatalk-1.4b2+asun2.1.3, this RPM was from RedHat's site. The two
>> machines
>>>> are on different networks in different buildings.
>>>> 
>>>> This art department, all Macs, use Adobe Illustrator version 9.  If a user
>>>> tries saving a file directly to the server as an EPS "occasionally"
>> they get
>>>> kicked off the server and have to reconnect.  They never have this problem
>>>> if they save the file locally and then drag copy it over the network, only
>>>> if they are saving it from within Illustrator.
>>>> 
>>>> I don't see this as being to big of a problem myself but I can't seem
>> to get
>>>> them in the habit of doing it this way and not complaining about it.  This
>>>> didn't used to happen on their old NT server so of course they think the
>>>> Linux one is broken and I want to prove otherwise.  Everything else on the
>>>> Samba/Windows end is working on this new install.
>>>> 
>>>> After skimming through archives of this list I suspected the CRLF
>>>> translation and I believe I correctly disabled that by adding -nocrlf to
>>>> afpd.conf? I restarted netatlk but the problem persists.
>>>> 
>>>> Since I didn't compile this myself I also wonder about a difference there,
>>>> and how could I check for this?  Could this still be something in netatalk
>>>> or a config somewhere, or should I be looking elsewhere on the server
>> or the
>>>> network?
>>>> 
>>>> Thanks for any help.
>>>> Tom

---

From: "Daniel E. Lautenschleger" <[email-masked]>
Date: Tue, 27 Mar 2001 10:54:15 -0600 (CST)

I would add this (ability to save EPS files via AppleShareIP) to the
future feature list as using AppleShare IP is much faster than AppleShare itself.

Thanks for the info!

-Dan

-- 

Daniel E. Lautenschleger
University of Wisconsin
R.M. Bock Laboratories
Network Administrator and Computer Support
[email-masked]